import {GeneralChartOptions} from "../types/ScreenChart.typing.ts";

export function mapToEchartsOptions(item: GeneralChartOptions) {
    if (item.type === 'bar') {
        let series: any[] = []
        // 简单类型数据
        if (item.data.every(a=>typeof a === 'number')) {
            series = [{data: item.data, type:'bar'}]
        } else {
            series = item.data.map((a) => {
                return {
                    type: 'bar',
                    name: a.name,
                    data: a.data
                }
            })
        }
        return {
            tooltip: {
                trigger: 'axis',
                axisPointer: {
                    type: 'shadow'
                }
            },
            grid: {
                left: '3%',
                right: '4%',
                bottom: '3%',
                containLabel: true,
                top: '5%'
            },
            xAxis: {
                type: 'category',
                data: item.category,
            },
            yAxis: {
                type: 'value',
                boundaryGap: [0, 0.01]
            },
            series
        }
    }
}