import {VNode} from "vue";

export type BarChartOptions = {
    category: string[]
    data: number[] | { name: string, data: number[] }[],
    type: 'bar'
};

export type GeneralChartOptions = BarChartOptions

export type ChartOptionSet = Array<GeneralChartOptions>

export type SingleLayoutConf = {
    x: number, y: number, w: number, h: number, title: string, renderTitle?: (...args: any[]) => VNode,
    chartData: ChartOptionSet
}

export type LayoutConfig = Array<SingleLayoutConf>

export type ScreenChartProps = {
    layout: LayoutConfig;
    gap?: number;
    containerPadding?: number;
    gridItemPadding?: number;
}